import request from '@/utils/request'

// 查询授权登录IP列表
export function listIp(query) {
  return request({
    url: '/system/ip/list',
    method: 'get',
    params: query
  })
}

// 查询授权登录IP详细
export function getIp(id) {
  return request({
    url: '/system/ip/' + id,
    method: 'get'
  })
}

// 新增授权登录IP
export function addIp(data) {
  return request({
    url: '/system/ip',
    method: 'post',
    data: data
  })
}

// 修改授权登录IP
export function updateIp(data) {
  return request({
    url: '/system/ip',
    method: 'put',
    data: data
  })
}

// 删除授权登录IP
export function delIp(id) {
  return request({
    url: '/system/ip/' + id,
    method: 'delete'
  })
}
